# Data frame Ingresos.rda
load(url("http://pagines.uab.cat/plopez/sites/pagines.uab.cat.plopez/files/Ingresos.rda"))

# Conversión de casos (data frame) a tabla
TC=table(Ingresos$ING,Ingresos$SEX,Ingresos$OCU,dnn=c("ING","SEX","OCU"))
TC

# Análisis log-lineal
# Modelo saturado
MS=glm(Freq ~ ING*SEX*OCU, data=TC, family=poisson(link="log"))
summary(MS)
names(MS)
# Función step: selección de modelo
step(MS, direction="backward", test="Chisq")

# Modelo saturado: cambio de categoría de referencia
MS=glm(Freq ~ relevel(ING,2)*relevel(SEX,2)*relevel(OCU,2), data=TC, family=poisson(link="log"))
summary(MS)
step(MS, direction="backward", test="Chisq")

